<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Grocery List App</title>

   
    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ" crossorigin="anonymous">

    <style>
        .bg-banner {
            background-color: #086d6d;
            box-shadow: 5px 5px 8px gray;
        }
    </style>

</head>
<body>
    <div class="container mt-5 mb-3">
        <div class="m-5 p-5 bg-gradient bg-banner">
            <h1 class="text-light text-center">Grocery List</h1>

            <!-- Add grocery item -->
                <form action="{{ url_for('add_groceryItem') }}" method="post" class="d-flex justify-content-center">
                    <input type="text" name="item" placeholder="Enter a list" class="form-control me-1" required>
                    <input type="submit" value="Add List" class="btn btn-outline-light">
                </form>
            <!-- End of Add grocery item -->
        </div>
    

        <!-- Get and Delete grocery item -->
        <ul class="m-5 p-0">
            {% for item_index, item in enumerate(groceryList) %}
                <li class="border p-2 mb-2 d-flex justify-content-between align-items-center">
                    {{ item }}
                    <form action="{{ url_for('delete_groceryItem', item_index=item_index) }}" method="post" class="delete-form">
                        <input type="submit" value="Delete" class="btn btn-danger">
                    </form>
                </li>
            {% endfor %}
        </ul>
        <!-- End of Get and Delete grocery item -->
    </div>


    <!-- Bootstrap -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ENjdO4Dr2bkBIFxQpeoTz1HIcje39Wm4jDKdf19U8gI4ddQ3GYNS7NTKfAdVQSZe" crossorigin="anonymous"></script>  
</body>
</html>